- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Search for |

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# CurrencyUnit Class Reference

A unit of currency, such as USD (U.S. More...

`#include <currunit.h>`

Inheritance diagram for CurrencyUnit:

## Public Member Functions
| CurrencyUnit (const UChar *isoCode, UErrorCode &ec)
| Construct an object with the given ISO currency code.
| CurrencyUnit (const CurrencyUnit &other)
| Copy constructor.
CurrencyUnit & | operator= (const CurrencyUnit &other)
| Assignment operator.
virtual UObject * | clone () const
| Return a polymorphic clone of this object.
virtual | ~CurrencyUnit ()
| Destructor.
UBool | operator== (const UObject &other) const
| Equality operator.
virtual UClassID | getDynamicClassID () const
| Returns a unique class ID for this object POLYMORPHICALLY.
const UChar * | getISOCurrency () const
| Return the ISO currency code of this object.
## Static Public Member Functions
static UClassID | getStaticClassID ()
| Returns the class ID for this class.

## Detailed Description

A unit of currency, such as USD (U.S.

dollars) or JPY (Japanese yen). This class is a thin wrapper over a UChar string that subclasses MeasureUnit, for use with Measure and MeasureFormat.

Author:
  Alan Liu

Stable:
  ICU 3.0

Definition at line 35 of file currunit.h.

## Constructor & Destructor Documentation

CurrencyUnit::CurrencyUnit | ( | const UChar * | isoCode,
|  | UErrorCode & | ec |
| ) |  |  |

Construct an object with the given ISO currency code.

Parameters:

  | isoCode | the 3-letter ISO 4217 currency code; must not be NULL and must have length 3
  | ec | input-output error code. If the isoCode is invalid, then this will be set to a failing value.

Stable:
  ICU 3.0

CurrencyUnit::CurrencyUnit | ( | const CurrencyUnit & | other | ) |

Copy constructor.

Stable:
  ICU 3.0

virtual CurrencyUnit::~CurrencyUnit | ( |  | ) | `[virtual]`

Destructor.

Stable:
  ICU 3.0

## Member Function Documentation

CurrencyUnit& CurrencyUnit::operator= | ( | const CurrencyUnit & | other | ) |

Assignment operator.

Stable:
  ICU 3.0

virtual UObject* CurrencyUnit::clone | ( |  | ) | const`[virtual]`

Return a polymorphic clone of this object.

The result will have the same class as returned by getDynamicClassID().

Stable:
  ICU 3.0

Implements MeasureUnit.

UBool CurrencyUnit::operator== | ( | const UObject & | other | ) | const`[virtual]`

Equality operator.

Return true if this object is equal to the given object.

Stable:
  ICU 3.0

Implements MeasureUnit.

virtual UClassID CurrencyUnit::getDynamicClassID | ( |  | ) | const`[virtual]`

Returns a unique class ID for this object POLYMORPHICALLY.

This method implements a simple form of RTTI used by ICU.

Returns:
  The class ID for this object. All objects of a given class have the same class ID. Objects of other classes have different class IDs.

Stable:
  ICU 3.0

Implements UObject.

static UClassID CurrencyUnit::getStaticClassID | ( |  | ) | `[static]`

Returns the class ID for this class.

This is used to compare to the return value of getDynamicClassID().

Returns:
  The class ID for all objects of this class.

Stable:
  ICU 3.0

const UChar * CurrencyUnit::getISOCurrency | ( |  | ) | const`[inline]`

Return the ISO currency code of this object.

Stable:
  ICU 3.0

Definition at line 110 of file currunit.h.

Referenced by CurrencyAmount::getISOCurrency().

The documentation for this class was generated from the following file:

- currunit.h